<?php

// $Id: station_playlist.views_default.inc,v 1.5 2009/04/19 21:34:12 drewish Exp $

/**
 * Implementation of hook_views_default_views().
 */
function station_playlist_views_default_views() {
  $view = new view;
  $view->name = 'station_program_playlists';
  $view->description = 'Station Program\'s associated Playlists';
  $view->tag = 'station';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'field_station_playlist_date_value' => array(
      'label' => '',
      'link_to_node' => 1,
      'label_type' => 'none',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_station_playlist_date_value',
      'table' => 'node_data_field_station_playlist_date',
      'field' => 'field_station_playlist_date_value',
      'relationship' => 'field_station_program_nid',
    ),
  ));
  $handler->override_option('sorts', array(
    'field_station_playlist_date_value' => array(
      'order' => 'DESC',
      'delta' => -1,
      'id' => 'field_station_playlist_date_value',
      'table' => 'node_data_field_station_playlist_date',
      'field' => 'field_station_playlist_date_value',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_station_program_nid' => array(
      'default_action' => 'default',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '%1 Playlists',
      'default_argument_type' => 'node',
      'default_argument' => '',
      'validate_type' => 'node',
      'validate_fail' => 'not found',
      'break_phrase' => 0,
      'not' => 0,
      'id' => 'field_station_program_nid',
      'table' => 'node_data_field_station_program',
      'field' => 'field_station_program_nid',
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'station_program' => 'station_program',
        'blog' => 0,
        'poll' => 0,
        'audio' => 0,
        'image' => 0,
        'station_album' => 0,
        'station_playlist' => 0,
        'book' => 0,
        'job' => 0,
        'page' => 0,
        'story' => 0,
        'video' => 0,
      ),
      'validate_argument_node_access' => 1,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '1' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_php' => '',
      'override' => array(
        'button' => 'Override',
      ),
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'station_playlist' => 'station_playlist',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
    'status_extra' => array(
      'id' => 'status_extra',
      'table' => 'node',
      'field' => 'status_extra',
    ),
    'date_filter' => array(
      'operator' => '<=',
      'value' => array(
        'min' => NULL,
        'max' => NULL,
        'value' => NULL,
        'default_date' => 'now',
        'default_to_date' => '',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'date_fields' => array(
        'node_data_field_station_playlist_date.field_station_playlist_date_value' => 'node_data_field_station_playlist_date.field_station_playlist_date_value',
      ),
      'granularity' => 'hour',
      'form_type' => 'date_select',
      'default_date' => 'now',
      'default_to_date' => '',
      'id' => 'date_filter',
      'table' => 'node',
      'field' => 'date_filter',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'perm',
    'perm' => 'view station playlist content',
  ));
  $handler->override_option('title', 'Playlists');
  $handler->override_option('use_pager', '1');
  $handler->override_option('use_more', 0);
  $handler->override_option('style_plugin', 'list');
  $handler->override_option('style_options', array(
    'type' => 'ul',
  ));
  $handler->override_option('row_plugin', 'node');
  $handler->override_option('row_options', array(
    'teaser' => 1,
    'links' => 1,
    'comments' => 0,
  ));
  $handler = $view->new_display('block', 'Future', 'block_1');
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'station_playlist' => 'station_playlist',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
    'status_extra' => array(
      'id' => 'status_extra',
      'table' => 'node',
      'field' => 'status_extra',
    ),
    'date_filter' => array(
      'operator' => '>',
      'value' => array(
        'value' => NULL,
        'min' => NULL,
        'max' => NULL,
        'default_date' => 'now',
        'default_to_date' => '',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'date_fields' => array(
        'node_data_field_station_playlist_date.field_station_playlist_date_value' => 'node_data_field_station_playlist_date.field_station_playlist_date_value',
      ),
      'granularity' => 'hour',
      'form_type' => 'date_select',
      'default_date' => 'now',
      'default_to_date' => '',
      'id' => 'date_filter',
      'table' => 'node',
      'field' => 'date_filter',
      'override' => array(
        'button' => 'Use default',
      ),
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('title', 'Upcoming shows');
  $handler->override_option('items_per_page', 0);
  $handler->override_option('use_pager', FALSE);
  $handler->override_option('row_plugin', 'fields');
  $handler->override_option('row_options', array());
  $handler->override_option('block_description', 'Program\'s upcoming playlists');
  $handler->override_option('block_caching', -1);
  $handler = $view->new_display('block', 'Past', 'block_2');
  $handler->override_option('title', 'Previous shows');
  $handler->override_option('use_more', 1);
  $handler->override_option('row_plugin', 'fields');
  $handler->override_option('row_options', array());
  $handler->override_option('block_description', 'Program\'s previous playlists');
  $handler->override_option('block_caching', -1);
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('arguments', array(
    'field_station_program_nid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '%1 Playlists',
      'default_argument_type' => 'node',
      'default_argument' => '',
      'validate_type' => 'node',
      'validate_fail' => 'not found',
      'break_phrase' => 0,
      'not' => 0,
      'id' => 'field_station_program_nid',
      'table' => 'node_data_field_station_program',
      'field' => 'field_station_program_nid',
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'station_program' => 'station_program',
        'blog' => 0,
        'poll' => 0,
        'audio' => 0,
        'image' => 0,
        'station_album' => 0,
        'station_playlist' => 0,
        'station_schedule' => 0,
        'book' => 0,
        'location' => 0,
        'page' => 0,
        'story' => 0,
        'video' => 0,
      ),
      'validate_argument_node_access' => 1,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '1' => 0,
        '2' => 0,
        '4' => 0,
        '5' => 0,
        '3' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_php' => '',
      'override' => array(
        'button' => 'Use default',
      ),
      'image_size' => array(
        '_original' => '_original',
        'thumbnail' => 'thumbnail',
        'preview' => 'preview',
      ),
    ),
  ));
  $handler->override_option('style_plugin', 'default');
  $handler->override_option('style_options', NULL);
  $handler->override_option('path', 'station/playlists');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Playlists',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'weight' => 0,
  ));
  $views[$view->name] = $view;



  return $views;
}
